package org.plugin.searchStarter;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Scanner;

import org.jdom2.Document;
import org.jdom2.Element;
import org.jdom2.output.Format;
import org.jdom2.output.XMLOutputter;
import org.plugin.startclass.ASearchPlugin;
import org.plugin.startclass.SearchPlugin;

public class InitialPlugin extends ASearchPlugin{
	
	/*
	 * (non-Javadoc)
	 * @see org.plugin.startclass.SearchPlugin#makeQuery(org.jdom2.Document)
	 * Should execute only if there is no dataItem with the type equal to 'Person'
	 */
	
	@Override
	public ArrayList<HashMap<String,String>> executeQuery(HashMap<String, String> data) {
		ArrayList<HashMap<String, String>> returnList = new ArrayList<HashMap<String, String>>();
		HashMap<String, String> temp = new HashMap<String, String>();
		Scanner input = new Scanner(System.in);
		String name, surname;
		
		System.out.println("Type in the initial name and/or surname parameters for the query!");
		System.out.print("Name: ");
		//name = input.nextLine();
		/*if (name.equalsIgnoreCase("exit")) {
			break;
		}*/
		//System.out.print("Surname: ");
		//surname = input.nextLine();
		
		//Remove whitespaces.
		//name = name.trim();
		//surname = surname.trim();
		name = "Alan";
		surname = "Rijavec";
		if (!name.isEmpty() || !surname.isEmpty()) {
			temp.put("name", name);
			temp.put("surname", surname);
		}
		
		returnList.add(temp);
		
		return returnList;
	}

	@Override
	public Element inputXML() {
		Element result = new Element("dataItem");

		return result;
	}

	@Override
	public Element outputXML() {
		Element result = new Element("dataItem");
		result.addContent(new Element("name"));
		result.addContent(new Element("surname"));
		result.addContent(new Element("type").setText("PERSON"));
		
		return result;
	}

	@Override
	public void init() {
	}
}
